<?php

namespace Database\Seeders;

use App\Models\User;
// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        // User::factory(10)->create();

        User::factory()->create([
            'last_name' => fake()->lastName,
            'name' => fake()->name,
            'middle_name' => fake()->name(),
            'phone' => fake()->unique()->phoneNumber,
            'email' => fake()->unique()->safeEmail,
        ]);
    }
}
